MP4(3)

NAME

MP4GetTrackEditDuration - Get the duration of a track edit segment

SYNTAX

#include <mp4.h>

MP4Duration MP4GetTrackEditDuration(
    MP4FileHandle hFile,
    MP4TrackId trackId,
    MP4EditId editId
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

trackId
    Specifies the track to which the operation applies.

editId
    Specifies the edit segment for which the duration is desired.

RETURN VALUES

The duration of the edit segment in track time scale units of the track in the mp4 file.

DESCRIPTION

MP4GetTrackEditDuration returns the duration of the specified track edit segment.

Caveat: The value is in units of the track time scale.

SEE ALSO

MP4(3) MP4SetTrackEditDuration(3)